Videos not playing in Opera Browser

Hello,

I’ve the latest version of Opera installed and my OpenSuse Leap 15.5 installation is always up-to-date but I can’t play MP3 Videos

Grateful for your guidance.

Sorry, I meant MP4 video. My bad. :see_no_evil:

Is the packman repo enabled and the vendor switch performed?

https://en.opensuse.org/SDB:Installing_codecs_from_Packman_repositories

1 Like

I don’t know what vendor switch is or if it has been performed. I’m attaching a screenshot

Near the top of that list is Switch system packages … Click that to do the package switch to Packman. Without it you will have broken multi-media (as you already found out).

You should do a search in YAST for ffmpeg and post a screenshot to compare.
I was having issues with other video sites like Rumble and Odysee.

Screenshots are in most cases not suitable for stuff which can easily be done via command line…

ich@laptopneu:~> zypper se -si *ffmpeg*
Repository-Daten werden geladen...
Installierte Pakete werden gelesen...

S  | Name           | Type  | Version            | Arch   | Repository
---+----------------+-------+--------------------+--------+------------------------------
i+ | ffmpeg-6       | Paket | 6.1.1-1699.3.pm.18 | x86_64 | Packman Essentials Repository
i  | ffmpegthumbs   | Paket | 24.02.0-1.1        | x86_64 | repo-oss
i  | libheif-ffmpeg | Paket | 1.17.6-1.3         | x86_64 | repo-oss
ich@laptopneu:~> 

or

ich@laptopneu:~> rpm -qa *ffmpeg*
libheif-ffmpeg-1.17.6-1.3.x86_64
ffmpeg-6-6.1.1-1699.3.pm.18.x86_64
ffmpegthumbs-24.02.0-1.1.x86_64

But you should be open to advice from experienced users when you chose to give lesser helpfull recommendations…

1 Like

Here is what I have in 15.6 beta. SEE SCREENSHOT

ffmpegthumbs
This is the only one coming from openSUSE, the rest are from packman.

We mostly do not even try to get a headache by looking to screenshots when it is not absolutely necessary.

Not only headache, but also not searchable or quotable.

Can you show and give examples or steps to replicate?

You should do a zypper up :wink:

This is what I get:

Loading repository data...
Reading installed packages...

S  | Name                         | Type    | Version              | Arch   | Repository
---+------------------------------+---------+----------------------+--------+----------------
i  | ffmpeg-2-libavutil-devel     | package | 2.8.22-150500.1.pm.1 | x86_64 | Packman
i+ | ffmpeg-2-libpostproc-devel   | package | 2.8.22-150500.1.pm.1 | x86_64 | Packman
i+ | ffmpeg-2-libswresample-devel | package | 2.8.22-150500.1.pm.1 | x86_64 | Packman
i+ | ffmpeg-4                     | package | 4.4.4-150500.14.pm.1 | x86_64 | Packman
i  | ffmpegthumbs                 | package | 22.12.3-bp155.1.5    | x86_64 | Main Repository
mamunson@dynamic-pd01:~> 


This topic was automatically closed 30 days after the last reply. New replies are no longer allowed.